> This page is for version 0.0.74.
> For other versions, use one of these documentation indexes:
> - 0.0.79 (default): https://docs.refer.health.gov.sg/0-0-79/llms.txt
> - 0.0.78: https://docs.refer.health.gov.sg/0-0-78/llms.txt
> - 0.0.77: https://docs.refer.health.gov.sg/0-0-77/llms.txt
> - 0.0.76: https://docs.refer.health.gov.sg/0-0-76/llms.txt
> - 0.0.75: https://docs.refer.health.gov.sg/0-0-75/llms.txt
> - 0.0.74: https://docs.refer.health.gov.sg/0-0-74/llms.txt
> - 0.0.73: https://docs.refer.health.gov.sg/0-0-73/llms.txt
> - 0.0.72: https://docs.refer.health.gov.sg/0-0-72/llms.txt
> - 0.0.71: https://docs.refer.health.gov.sg/0-0-71/llms.txt
> - 0.0.70: https://docs.refer.health.gov.sg/0-0-70/llms.txt
> - 0.0.69: https://docs.refer.health.gov.sg/0-0-69/llms.txt
> - 0.0.68: https://docs.refer.health.gov.sg/0-0-68/llms.txt
> - 0.0.67: https://docs.refer.health.gov.sg/0-0-67/llms.txt
> - 0.0.66: https://docs.refer.health.gov.sg/0-0-66/llms.txt
> - 0.0.65: https://docs.refer.health.gov.sg/0-0-65/llms.txt
> - 0.0.64: https://docs.refer.health.gov.sg/0-0-64/llms.txt
> - 0.0.63: https://docs.refer.health.gov.sg/0-0-63/llms.txt
> - 0.0.62: https://docs.refer.health.gov.sg/0-0-62/llms.txt
> - 0.0.61: https://docs.refer.health.gov.sg/0-0-61/llms.txt
> - 0.0.60: https://docs.refer.health.gov.sg/0-0-60/llms.txt
> - 0.0.59: https://docs.refer.health.gov.sg/0-0-59/llms.txt
> - 0.0.58: https://docs.refer.health.gov.sg/0-0-58/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.refer.health.gov.sg/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.refer.health.gov.sg/_mcp/server.

# Delete a draft referral

DELETE https://dummy-url-see-smartcms-spec/api/v1/referrals/{referralId}

Reference: https://docs.refer.health.gov.sg/api-reference/updating-referrals/delete

## Servers

- `https://dummy-url-see-smartcms-spec` (SmartCMS, default)
- `https://refer.health.gov.sg` (Production)
- `https://refer-staging.health.gov.sg` (Staging)

## Request

### Path parameters

- `referralId` (string, required) — Referral ID

### Query parameters

- `institutionIdType` (enum, required) — The type of institution ID
  - Allowed values: `hci`
- `institutionId` (string, required) — The institution ID

## Response

### 200

- `id` (string, required)
- `sender` (InstitutionCoreDto, required)
- `senderSystem` (enum, required)
  - Allowed values: `HAS`, `PartnersBuddy`, `Refer`, `EmailAck`, `Bright`, `FYI`, `AAC`, `NGEMR`, `Manual`, `GPConnect`, `CLINICASSIST`, `LINKDOCTORS`, `GALENHEALTH`, `GPCONNECT`, `VANDACMS`, `MANADR`, `PLATO`, `RAFFLESMG`, `RUBICON`, `SGIMED`, `UNITEDCREST`, `IAPPS`, `UNOTECH`, `ZANDEN`, `SCGINTERNAL`
- `offering` (OfferingDto, required)
- `patient` (GetReferralPatientDto, required)
- `referringDoctor` (ReferringDoctorDto, required)
- `isSubsidised` (boolean, required)
- `isUrgent` (boolean, required)
- `createdAt` (string, required) — Created at (ISO datetime)
- `updatedAt` (string, required) — Updated at (ISO datetime)
- `formResponses` (list of FormResponse, required)
- `attachments` (list of AttachmentDto, required)
- `coreStatus` (enum, required)
  - Allowed values: `draft`, `pending`, `confirmed`, `rejected`, `cancelled`, `sender-action-required`
- `isCancellable` (boolean, required) — Whether this referral can be cancelled
- `canBackToDraft` (boolean, required) — Whether this referral can be sent back to draft (to be amended and resubmitted)
- `notes` (list of NoteDto, required)
- `offeringClinician` (OfferingClinicianDto, optional)
- `submittedAt` (string, optional) — Submitted at (ISO datetime). Absent if the referral is a draft.
- `forms` (list of Form, optional) — List of forms required to complete the referral
- `url` (string, optional) — URL to view the referral
- `clinicLicenseNumber` (string, optional) — Clinic license number
- `clinicType` (enum, optional) — Clinic type
  - Allowed values: `CHAS-only`, `CHAS and HSG`, `CHAS and Healthier SG`
- `clinicalInfo` (string, optional) — Any clinical information that is relevant to the referral, e.g. medical history, drug allergies, treatment provided, etc.
- `timeslotStartAt` (string, optional) — Timeslot start time (ISO datetime)
- `appointmentLocation` (string, optional) — Appointment location

## Errors

### 401 Unauthorized Error

Invalid authorization header.

- `statusCode` (double, optional)
- `message` (string, optional)
- `error` (string, optional)

## Types

### InstitutionCoreDto

- `hciCode` (string, required)
- `name` (string, required)
- `block` (string, required)
- `streetName` (string, required)
- `buildingName` (string, required, nullable)
- `floorNumber` (string, required, nullable)
- `unitNumber` (string, required, nullable)
- `postalCode` (string, required)

### OfferingDto

- `id` (string, required)
- `name` (string, required) — Name of the offering - use these as labels
- `institutionHciCode` (string, required)
- `institution` (InstitutionCoreDto, required)
- `system` (enum, required)
  - Allowed values: `HAS`, `PartnersBuddy`, `Refer`, `EmailAck`, `Bright`, `FYI`, `AAC`, `NGEMR`, `Manual`, `GPConnect`, `CLINICASSIST`, `LINKDOCTORS`, `GALENHEALTH`, `GPCONNECT`, `VANDACMS`, `MANADR`, `PLATO`, `RAFFLESMG`, `RUBICON`, `SGIMED`, `UNITEDCREST`, `IAPPS`, `UNOTECH`, `ZANDEN`, `SCGINTERNAL`
- `description` (string, required) — Clinical guidelines and other information which clinicians should read before proceeding with creating the referral. Rendered as markdown in the frontend infobox. Use `[label](https://…)` for links; bare URLs are not auto-linked.
- `isActive` (boolean, required) — Whether the offering is able to receive new referrals currently
- `isSubsidisable` (boolean, required) — Whether this offering supports subsidized referrals.
- `timeslotPolicy` (enum, required) — How timeslots are handled for this offering. Is enforced at validation. timeslot-required: Timeslots must be selected when creating a referral. optional-timeslots-and-urgentable: Timeslots are selectable but optional. If no timeslot is selected, the referral will be routed to a manual call-centre for scheduling. If you indicate `isUrgent: true`, the timeslot will be disregarded and referral will be sent to the call-centre for triage. no-timeslots: Timeslots are not selectable for this offering. Calling the timeslot API will return an error. no-timeslots-and-urgentable: Timeslots are not selectable for this offering, but referrals can be marked as urgent.
  - Allowed values: `timeslot-required`, `optional-timeslots-and-urgentable`, `no-timeslots`, `no-timeslots-and-urgentable`
- `category` (enum, optional) — Category of the offering. Used to group offerings together.
  - Allowed values: `aac`, `acp`, `gpfirst`, `ae`
- `specialty` (string, optional) — Specialty of the offering
- `nehrCode` (string, optional) — NEHR code for the offering

### GetReferralPatientDto

- `uin` (string, required) — Patient UIN, e.g. NRIC or FIN
- `name` (string, required) — Patient name
- `phoneNumber` (string, required) — Patient phone number - only Singaporean accepted for now
- `dob` (string, required) — Patient date of birth
- `gender` (enum, required) — Patient gender
  - Allowed values: `Male`, `Female`
- `chasStatus` (string, required, nullable) — Current CHAS status
- `address` (CreateAddressReq, optional)
- `residentialStatus` (enum, optional) — Patient residential status
  - Allowed values: `SC`, `PR`, `Foreigner`
- `nationality` (enum, optional) — Patient nationality
  - Allowed values: `Singapore`, `Afghanistan`, `Albania`, `Algeria`, `Andorra`, `Angola`, `Antigua and Barbuda`, `Argentina`, `Armenia`, `Australia`, `Austria`, `Azerbaijan`, `Bahamas`, `Bahrain`, `Bangladesh`, `Barbados`, `Belarus`, `Belgium`, `Belize`, `Benin`, `Bhutan`, `Bolivia`, `Bosnia and Herzegovina`, `Botswana`, `Brazil`, `Brunei`, `Bulgaria`, `Burkina Faso`, `Myanmar`, `Burundi`, `Cambodia`, `Cameroon`, `Canada`, `Cape Verde`, `Central African Republic`, `Chad`, `Chile`, `China`, `Colombia`, `Comoros`, `Congo, Republic of`, `Costa Rica`, `Cote d'Ivoire`, `Croatia`, `Cuba`, `Cyprus`, `Czech Republic`, `Denmark`, `Djibouti`, `Dominica`, `Dominican Republic`, `Ecuador`, `Egypt`, `El Salvador`, `Equatorial Guinea`, `Eritrea`, `Estonia`, `Ethiopia`, `Fiji`, `Finland`, `France`, `Gabon`, `Gambia`, `Georgia`, `Germany`, `Ghana`, `Greece`, `Grenada`, `Guatemala`, `Guinea`, `Guinea-Bissau`, `Guyana`, `Haiti`, `Holy See`, `Honduras`, `Hungary`, `Iceland`, `India`, `Indonesia`, `Iran`, `Iraq`, `Ireland`, `Israel`, `Italy`, `Jamaica`, `Japan`, `Jordan`, `Kazakhstan`, `Kenya`, `Kiribati`, `Kuwait`, `Kyrgyzstan`, `Laos`, `Latvia`, `Lebanon`, `Lesotho`, `Liberia`, `Libya`, `Liechtenstein`, `Lithuania`, `Luxembourg`, `Macedonia`, `Madagascar`, `Malawi`, `Malaysia`, `Maldives`, `Mali`, `Malta`, `Marshall Islands`, `Mauritania`, `Mauritius`, `Mexico`, `Micronesia`, `Moldova`, `Monaco`, `Mongolia`, `Morocco`, `Mozambique`, `Namibia`, `Nauru`, `Nepal`, `Netherlands`, `New Zealand`, `Nicaragua`, `Niger`, `Nigeria`, `North Korea`, `Norway`, `Oman`, `Pakistan`, `Palau`, `Panama`, `Papua New Guinea`, `Paraguay`, `Peru`, `Philippines`, `Poland`, `Portugal`, `Qatar`, `Romania`, `Russia`, `Rwanda`, `Saint Kitts and Nevis`, `Saint Lucia`, `Saint Vincent and the Grenadines`, `Samoa`, `San Marino`, `Sao Tome and Principe`, `Saudi Arabia`, `Senegal`, `Seychelles`, `Sierra Leone`, `Slovakia`, `Slovenia`, `Solomon Islands`, `Somalia`, `South Africa`, `South Korea`, `Spain`, `Sri Lanka`, `Sudan`, `Suriname`, `Swaziland`, `Sweden`, `Switzerland`, `Syria`, `Taiwan`, `Tajikistan`, `Tanzania`, `Thailand`, `Togo`, `Tonga`, `Trinidad and Tobago`, `Tunisia`, `Turkey`, `Turkmenistan`, `Tuvalu`, `Uganda`, `Ukraine`, `United Arab Emirates`, `United Kingdom`, `United States of America`, `Uruguay`, `Uzbekistan`, `Vanuatu`, `Venezuela`, `Vietnam`, `Yemen`, `Yugoslavia`, `Zambia`, `Zimbabwe`, `Congo, Democratic Republic of`, `Timor-Leste`, `Anguilla`, `Christmas Island`, `Falkland Islands (Malvinas)`, `Faroe Islands`, `French Guiana`, `Gibraltar`, `Greenland`, `South Georgia And The South Sandwich Islands`, `Hong Kong`, `Heard Island and Mcdonald Islands`, `British Indian Ocean Territory`, `Cayman Islands`, `Macao`, `Northern Mariana Islands`, `Martinique`, `Montserrat`, `New Caledonia`, `Norfolk Island`, `Niue`, `French Polynesia`, `Saint Pierre and Miquelon`, `Pitcairn`, `Puerto Rico`, `Palestinian Territory, Occupied`, `Cook Islands`, `Reunion`, `Bouvet Island`, `Cocos (Keeling)Islands`, `Saint Helena`, `Svalbard and Jan Mayen`, `Turks and Caicos Islands`, `French Southern Territories`, `Tokelau`, `United States Minor Outlying Islands`, `Virgin Islands, British`, `Virgin Islands, U.S.`, `Wallis and Futuna`, `Mayotte`, `Others`, `Bermuda`, `Guadeloupe`, `Netherlands Antilles`, `Western Sahara`, `Guam`, `Unknown`, `Aruba`, `Antarctica`, `Åland Islands`, `Serb/Mont`, `Guernsey`, `Isle Of Man`, `Jersey`, `Western Samoa`, `Kosovo`, `Bonaire, Sint Eustatius, and Saba`, `Curacao`, `Saint Barthelemy`, `Sint Maarten`, `South Sudan`, `Serbia`, `Montenegro`, `Saint Martin`
- `race` (enum, optional) — Patient race
  - Allowed values: `Chinese`, `Malay`, `Indian`, `Others`
- `email` (string, optional) — Patient email

### ReferringDoctorDto

- `mcr` (string, required)
- `idType` (enum, required) — Type of ID specified in referrerId.
  - Allowed values: `mcr`, `nric`, `email`, `brightUserId`, `dcr`
- `name` (string, required)
- `email` (string, required)
- `contactNumber` (string, required)

### FormResponse

- `question` (string, required)
- `id` (string, required)
- `answer` (FormResponseAnswer, required)

### AttachmentDto

- `url` (string, required)
- `name` (string, required) — Human readable - include extension

### NoteDto

- `id` (string, required)
- `content` (string, required)
- `authorHciCode` (string, required)
- `authorName` (string, required)
- `createdAt` (double, required)
- `updatedAt` (double, required)

### OfferingClinicianDto

- `name` (string, required) — Name of the clinician at the referral destination (the offering / receiving institution)

### Form

- `id` (string, required)
- `url` (string, required)
- `description` (string, required)
- `isFilled` (boolean, required)
- `formResponses` (list of FormResponse, required)
- `remark` (string, optional)
- `fields` (list of FormFieldsItems, optional)
- `version` (double, optional)
- `migrated` (boolean, optional)

### CreateAddressReq

- `postalCode` (string, required) — Patient postal code
- `block` (string, required) — Patient address block number
- `streetName` (string, required) — Patient address street name
- `floorNumber` (string, required) — Patient address floor number
- `unitNumber` (string, required) — Patient address unit number
- `buildingName` (string, required) — Patient address building name
- `city` (string, required) — Patient address city
- `geographicalArea` (enum, required) — Patient address geographical area
  - Allowed values: `North`, `South`, `East`, `West`
- `country` (enum, required) — Patient address country
  - Allowed values: `Singapore`, `Afghanistan`, `Albania`, `Algeria`, `Andorra`, `Angola`, `Antigua and Barbuda`, `Argentina`, `Armenia`, `Australia`, `Austria`, `Azerbaijan`, `Bahamas`, `Bahrain`, `Bangladesh`, `Barbados`, `Belarus`, `Belgium`, `Belize`, `Benin`, `Bhutan`, `Bolivia`, `Bosnia and Herzegovina`, `Botswana`, `Brazil`, `Brunei`, `Bulgaria`, `Burkina Faso`, `Myanmar`, `Burundi`, `Cambodia`, `Cameroon`, `Canada`, `Cape Verde`, `Central African Republic`, `Chad`, `Chile`, `China`, `Colombia`, `Comoros`, `Congo, Republic of`, `Costa Rica`, `Cote d'Ivoire`, `Croatia`, `Cuba`, `Cyprus`, `Czech Republic`, `Denmark`, `Djibouti`, `Dominica`, `Dominican Republic`, `Ecuador`, `Egypt`, `El Salvador`, `Equatorial Guinea`, `Eritrea`, `Estonia`, `Ethiopia`, `Fiji`, `Finland`, `France`, `Gabon`, `Gambia`, `Georgia`, `Germany`, `Ghana`, `Greece`, `Grenada`, `Guatemala`, `Guinea`, `Guinea-Bissau`, `Guyana`, `Haiti`, `Holy See`, `Honduras`, `Hungary`, `Iceland`, `India`, `Indonesia`, `Iran`, `Iraq`, `Ireland`, `Israel`, `Italy`, `Jamaica`, `Japan`, `Jordan`, `Kazakhstan`, `Kenya`, `Kiribati`, `Kuwait`, `Kyrgyzstan`, `Laos`, `Latvia`, `Lebanon`, `Lesotho`, `Liberia`, `Libya`, `Liechtenstein`, `Lithuania`, `Luxembourg`, `Macedonia`, `Madagascar`, `Malawi`, `Malaysia`, `Maldives`, `Mali`, `Malta`, `Marshall Islands`, `Mauritania`, `Mauritius`, `Mexico`, `Micronesia`, `Moldova`, `Monaco`, `Mongolia`, `Morocco`, `Mozambique`, `Namibia`, `Nauru`, `Nepal`, `Netherlands`, `New Zealand`, `Nicaragua`, `Niger`, `Nigeria`, `North Korea`, `Norway`, `Oman`, `Pakistan`, `Palau`, `Panama`, `Papua New Guinea`, `Paraguay`, `Peru`, `Philippines`, `Poland`, `Portugal`, `Qatar`, `Romania`, `Russia`, `Rwanda`, `Saint Kitts and Nevis`, `Saint Lucia`, `Saint Vincent and the Grenadines`, `Samoa`, `San Marino`, `Sao Tome and Principe`, `Saudi Arabia`, `Senegal`, `Seychelles`, `Sierra Leone`, `Slovakia`, `Slovenia`, `Solomon Islands`, `Somalia`, `South Africa`, `South Korea`, `Spain`, `Sri Lanka`, `Sudan`, `Suriname`, `Swaziland`, `Sweden`, `Switzerland`, `Syria`, `Taiwan`, `Tajikistan`, `Tanzania`, `Thailand`, `Togo`, `Tonga`, `Trinidad and Tobago`, `Tunisia`, `Turkey`, `Turkmenistan`, `Tuvalu`, `Uganda`, `Ukraine`, `United Arab Emirates`, `United Kingdom`, `United States of America`, `Uruguay`, `Uzbekistan`, `Vanuatu`, `Venezuela`, `Vietnam`, `Yemen`, `Yugoslavia`, `Zambia`, `Zimbabwe`, `Congo, Democratic Republic of`, `Timor-Leste`, `Anguilla`, `Christmas Island`, `Falkland Islands (Malvinas)`, `Faroe Islands`, `French Guiana`, `Gibraltar`, `Greenland`, `South Georgia And The South Sandwich Islands`, `Hong Kong`, `Heard Island and Mcdonald Islands`, `British Indian Ocean Territory`, `Cayman Islands`, `Macao`, `Northern Mariana Islands`, `Martinique`, `Montserrat`, `New Caledonia`, `Norfolk Island`, `Niue`, `French Polynesia`, `Saint Pierre and Miquelon`, `Pitcairn`, `Puerto Rico`, `Palestinian Territory, Occupied`, `Cook Islands`, `Reunion`, `Bouvet Island`, `Cocos (Keeling)Islands`, `Saint Helena`, `Svalbard and Jan Mayen`, `Turks and Caicos Islands`, `French Southern Territories`, `Tokelau`, `United States Minor Outlying Islands`, `Virgin Islands, British`, `Virgin Islands, U.S.`, `Wallis and Futuna`, `Mayotte`, `Others`, `Bermuda`, `Guadeloupe`, `Netherlands Antilles`, `Western Sahara`, `Guam`, `Unknown`, `Aruba`, `Antarctica`, `Åland Islands`, `Serb/Mont`, `Guernsey`, `Isle Of Man`, `Jersey`, `Western Samoa`, `Kosovo`, `Bonaire, Sint Eustatius, and Saba`, `Curacao`, `Saint Barthelemy`, `Sint Maarten`, `South Sudan`, `Serbia`, `Montenegro`, `Saint Martin`

### FormResponseAnswer

- string
- list of string
- double

### FormFieldsItems

## Examples

**Response**

```json
{
  "id": "string",
  "sender": {
    "hciCode": "string",
    "name": "string",
    "block": "string",
    "streetName": "string",
    "buildingName": "string",
    "floorNumber": "string",
    "unitNumber": "string",
    "postalCode": "string"
  },
  "senderSystem": "HAS",
  "offering": {
    "id": "string",
    "name": "string",
    "institutionHciCode": "string",
    "institution": {
      "hciCode": "string",
      "name": "string",
      "block": "string",
      "streetName": "string",
      "buildingName": "string",
      "floorNumber": "string",
      "unitNumber": "string",
      "postalCode": "string"
    },
    "system": "HAS",
    "description": "Before proceeding with your referral, please refer to the [guidelines of referrals to this SOC](https://go.gov.sg/refx-nuhs-gastro-guidelines).",
    "isActive": true,
    "isSubsidisable": true,
    "timeslotPolicy": "timeslot-required",
    "category": "aac",
    "specialty": "string",
    "nehrCode": "string"
  },
  "patient": {
    "uin": "string",
    "name": "string",
    "phoneNumber": "91234567",
    "dob": "1990-01-01",
    "gender": "Male",
    "chasStatus": "string",
    "address": {
      "postalCode": "string",
      "block": "string",
      "streetName": "string",
      "floorNumber": "string",
      "unitNumber": "string",
      "buildingName": "string",
      "city": "string",
      "geographicalArea": "North",
      "country": "Singapore"
    },
    "residentialStatus": "SC",
    "nationality": "Singapore",
    "race": "Chinese",
    "email": "string"
  },
  "referringDoctor": {
    "mcr": "string",
    "idType": "mcr",
    "name": "string",
    "email": "string",
    "contactNumber": "string"
  },
  "isSubsidised": true,
  "isUrgent": true,
  "createdAt": "2024-05-01T00:00:00Z",
  "updatedAt": "2024-05-01T00:00:00Z",
  "formResponses": [
    {
      "question": "string",
      "id": "string",
      "answer": "string"
    }
  ],
  "attachments": [
    {
      "url": "string",
      "name": "ecg-report.png"
    }
  ],
  "coreStatus": "draft",
  "isCancellable": true,
  "canBackToDraft": true,
  "notes": [
    {
      "id": "string",
      "content": "string",
      "authorHciCode": "string",
      "authorName": "string",
      "createdAt": 1.1,
      "updatedAt": 1.1
    }
  ],
  "offeringClinician": {
    "name": "string"
  },
  "submittedAt": "2024-05-01T00:00:00Z",
  "forms": [
    {
      "id": "string",
      "url": "string",
      "description": "string",
      "isFilled": true,
      "formResponses": [
        {
          "question": "string",
          "id": "string",
          "answer": "string"
        }
      ],
      "remark": "string",
      "fields": [
        {}
      ],
      "version": 1.1,
      "migrated": true
    }
  ],
  "url": "string",
  "clinicLicenseNumber": "string",
  "clinicType": "CHAS-only",
  "clinicalInfo": "string",
  "timeslotStartAt": "2024-05-01T00:00:00Z",
  "appointmentLocation": "string"
}
```

**SDK Code**

```python
import requests

url = "https://dummy-url-see-smartcms-spec/api/v1/referrals/referralId"

querystring = {"institutionIdType":"hci","institutionId":"institutionId"}

response = requests.delete(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://dummy-url-see-smartcms-spec/api/v1/referrals/referralId?institutionIdType=hci&institutionId=institutionId';
const options = {method: 'DELETE'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://dummy-url-see-smartcms-spec/api/v1/referrals/referralId?institutionIdType=hci&institutionId=institutionId"

	req, _ := http.NewRequest("DELETE", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://dummy-url-see-smartcms-spec/api/v1/referrals/referralId?institutionIdType=hci&institutionId=institutionId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://dummy-url-see-smartcms-spec/api/v1/referrals/referralId?institutionIdType=hci&institutionId=institutionId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://dummy-url-see-smartcms-spec/api/v1/referrals/referralId?institutionIdType=hci&institutionId=institutionId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://dummy-url-see-smartcms-spec/api/v1/referrals/referralId?institutionIdType=hci&institutionId=institutionId");
var request = new RestRequest(Method.DELETE);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://dummy-url-see-smartcms-spec/api/v1/referrals/referralId?institutionIdType=hci&institutionId=institutionId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```